/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 */

package com.yami.shop.delivery.comment.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yami.shop.delivery.comment.model.DeliveryOrder;
import com.yami.shop.delivery.comment.param.DeliveryOrderItemParam;

import java.util.List;

/**
 *
 *
 * @author lhd
 * @date 2020-04-22 15:46:05
 */
public interface DeliveryOrderService extends IService<DeliveryOrder> {

    void saveDeliveriesInfo(DeliveryOrderItemParam deliveryOrderParam);

    void updateOrderDeliveries(List<DeliveryOrder> deliveryOrders);

    List<DeliveryOrder> getAndDeliveryItemInfo(String orderNumber);

    List<DeliveryOrder> listDetailDelivery(String orderNumber);
}
